<?php
/*##################################################
 *                    BlogsCommentsTopic.class.php
 *                            -------------------
 *   begin                : March 14, 2013
 *   copyright            : (C) 2013 Patrick DUBEAU
 *   email                : daaxwizeman@gmail.com
 *
 *
  ###################################################
 *		Module Articles : Dupliqu et modifi.
 *--------------------------------------------------
 * Date: 31.05.2016
 * Par: Swan | EDN
 * Site: http://easy-design.net
 * Contact : contact@easy-design.net
 *
 ###################################################
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 ###################################################*/

/**
 * @author Patrick DUBEAU <daaxwizeman@gmail.com>
 */
class BlogsCommentsTopic extends CommentsTopic
{
	private $blog;
	
	public function __construct(Blog $blog = null)
	{
		parent::__construct('blogs');
		$this->blog = $blog;
	}
	
	public function get_authorizations()
	{
		$authorizations = new CommentsAuthorizations();
		$authorizations->set_authorized_access_module(BlogsAuthorizationsService::check_authorizations($this->get_blog()->get_id_category())->read());
		return $authorizations;
	}
	
	public function is_display()
	{
		return $this->get_blog()->is_published();
	}
	
	private function get_blog()
	{
		if ($this->blog === null)
		{
			$this->blog = BlogsService::get_blog('WHERE blogs.id=:id', array('id' => $this->get_id_in_module()));
		}
		return $this->blog;
	}
}
?>