<?php
/*##################################################
 *		    BlogsTreeLinks.class.php
 *                            -------------------
 *   begin                : November 29, 2013
 *   copyright            : (C) 2013 Patrick DUBEAU
 *   email                : daaxwizeman@gmail.com
 *
 *
 ###################################################
 *		Module Articles : Dupliqu et modifi.
 *--------------------------------------------------
 * Date: 31.05.2016
 * Par: Swan | EDN
 * Site: http://easy-design.net
 * Contact : contact@easy-design.net
 *
 ###################################################
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 ###################################################*/

/**
 * @author Patrick DUBEAU <daaxwizeman@gmail.com>
 */
class BlogsTreeLinks implements ModuleTreeLinksExtensionPoint
{
	public function get_actions_tree_links()
	{
		$lang = LangLoader::get('common', 'blogs');
		$tree = new ModuleTreeLinks();
		
		$manage_categories_link = new AdminModuleLink(LangLoader::get_message('categories.manage', 'categories-common'), BlogsUrlBuilder::manage_categories());
		$manage_categories_link->add_sub_link(new AdminModuleLink(LangLoader::get_message('categories.manage', 'categories-common'), BlogsUrlBuilder::manage_categories()));
		$manage_categories_link->add_sub_link(new AdminModuleLink(LangLoader::get_message('category.add', 'categories-common'), BlogsUrlBuilder::add_category(AppContext::get_request()->get_getint('id_category', Category::ROOT_CATEGORY))));
		$tree->add_link($manage_categories_link);
	
		$manage_blogs_link = new AdminModuleLink($lang['blogs_management'], BlogsUrlBuilder::manage_blogs());
		$manage_blogs_link->add_sub_link(new AdminModuleLink($lang['blogs_management'], BlogsUrlBuilder::manage_blogs()));
		$manage_blogs_link->add_sub_link(new AdminModuleLink($lang['blogs.add'], BlogsUrlBuilder::add_blog(AppContext::get_request()->get_getint('id_category', Category::ROOT_CATEGORY))));
		$tree->add_link($manage_blogs_link);
		
		$tree->add_link(new AdminModuleLink(LangLoader::get_message('configuration', 'admin-common'), BlogsUrlBuilder::configuration()));

		if (!AppContext::get_current_user()->check_level(User::ADMIN_LEVEL))
		{
			$tree->add_link(new ModuleLink($lang['blogs.add'], BlogsUrlBuilder::add_blog(AppContext::get_request()->get_getint('id_category', Category::ROOT_CATEGORY)), BlogsAuthorizationsService::check_authorizations()->write() || BlogsAuthorizationsService::check_authorizations()->contribution()));
		}

		$tree->add_link(new ModuleLink($lang['blogs.pending_blogs'], BlogsUrlBuilder::display_pending_blogs(), BlogsAuthorizationsService::check_authorizations()->write() || BlogsAuthorizationsService::check_authorizations()->contribution() || BlogsAuthorizationsService::check_authorizations()->moderation()));
	
		return $tree;
	}
}
?>
